# Class DraconianErrorHandler

java.lang.Object
com.thaiopensource.xml.sax.DraconianErrorHandler

All Implemented Interfaces:
  `ErrorHandler`

public class DraconianErrorHandler extends Object implements ErrorHandler
An `ErrorHandler` implementing a brutal error handling policy. Fatal errors and errors are handled by throwing the exception. Warnings are ignored.

Author:
  James Clark

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DraconianErrorHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `error(SAXParseException e)`
  `void`
  `fatalError(SAXParseException e)`
  `void`
  `warning(SAXParseException e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DraconianErrorHandler

    public DraconianErrorHandler()

- ## Method Details

  - ### warning

    public void warning(SAXParseException e) throws SAXException
    Specified by:
      `warning` in interface `ErrorHandler`
    Throws:
      `SAXException`

  - ### error

    public void error(SAXParseException e) throws SAXException
    Specified by:
      `error` in interface `ErrorHandler`
    Throws:
      `SAXException`

  - ### fatalError

    public void fatalError(SAXParseException e) throws SAXException
    Specified by:
      `fatalError` in interface `ErrorHandler`
    Throws:
      `SAXException`